LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDispatchProvider Interface Referencepublished

provides XDispatch interfaces for certain functions which are useful at the UI. More...

`import"XDispatchProvider.idl";`

Inheritance diagram for XDispatchProvider:

## Public Member Functions
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides XDispatch interfaces for certain functions which are useful at the UI.

See also
  XDispatch

Developers Guide
  Writing UNO Components - Implementation
  Office Development - Dispatch Framework

## Member Function Documentation

## ◆ queryDispatch()

XDispatch queryDispatch | ( | [in] com::sun::star::util::URL | URL,
|  | [in] string | TargetFrameName,
|  | [in] long | SearchFlags
| ) |  |

searches for an XDispatch for the specified URL within the specified target frame.

Parameters

  URL | describe the feature which should be supported by returned dispatch object
  TargetFrameName | specify the frame which should be the target for this request
  SearchFlags | optional search parameter for finding the frame if no special TargetFrameName was used

Returns
  the dispatch object which provides queried functionality
  or `NULL` if no dispatch object is available

See also
  XFrame::findFrame()
  XDispatchProvider::queryDispatches()

## ◆ queryDispatches()

sequence< XDispatch > queryDispatches | ( | [in] sequence< DispatchDescriptor > | Requests | ) |

actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls.

Parameters

  Requests | list of dispatch requests

Returns
  multiple dispatch interfaces for the specified descriptors at once

It's not allowed to pack it - because every request must match to its real result. Means: don't delete `NULL` entries inside this list.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchProvider.idl